# template: foreman_plugin
%global gem_name foreman_kubevirt
%global plugin_name kubevirt
%global foreman_min_version 3.7

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?foremandist}%{?dist}
Summary: Provision and manage Kubevirt Virtual Machines from Foreman
License: GPLv3
URL: https://github.com/theforeman/foreman_kubevirt
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
BuildRequires: foreman-assets >= %{foreman_min_version}
BuildRequires: foreman-plugin >= %{foreman_min_version}
Requires: ruby >= 2.5
Requires: ruby < 4.0
BuildRequires: ruby >= 2.5
BuildRequires: ruby < 4.0
BuildRequires: rubygems-devel
BuildRequires: (rubygem(fog-kubevirt) >= 1.3.3 with rubygem(fog-kubevirt) < 1.4)
BuildArch: noarch
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

%description
Provision and manage Kubevirt Virtual Machines from Foreman.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -s

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}
%{foreman_assets_plugin}
%{foreman_assets_foreman}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%posttrans
%{foreman_plugin_log}

%changelog
* Tue Mar 26 2024 Foreman Packaging Automation <packaging@theforeman.org> - 0.2.0-1
- Update to 0.2.0

* Sun Mar 10 2024 nofaralfasi <nalfassi@redhat.com> 0.1.9-6
- Regenerate spec file based on the latest template

* Wed Aug 24 2022 Evgeni Golov - 0.1.9-5
- Refs #35409 - Include sprockets assets

* Mon May 09 2022 Evgeni Golov - 0.1.9-4
- log plugin installation in posttrans

* Fri Apr 22 2022 Eric D. Helms <ericdhelms@gmail.com> - 0.1.9-3
- Stop generaing apipie cache

* Tue Apr 06 2021 Eric D. Helms <ericdhelms@gmail.com> - 0.1.9-2
- Rebuild plugins for Ruby 2.7

* Thu Jan 21 2021 Shira Maximov <shiramaximov@gmail.com> 0.1.9-1
- Update to 0.1.9

* Wed Jun 24 2020 Shira Maximov <shiramaximov@gmail.com> 0.1.8-1
- Update to 0.1.8

* Fri Jan 17 2020 Eric D. Helms <ericdhelms@gmail.com> - 0.1.7-2
- Drop posttrans macros

* Mon Nov 11 2019 Shira Maximov <shiramaximov@gmail.com> 0.1.7-1
- Update to 0.1.7

* Mon Jul 01 2019 Shira Maximov <shiramaximov@gmail.com> 0.1.4-1
- Update to 0.1.4

* Wed May 15 2019 Moti Asayag <masayag@redhat.com> 0.1.3-1
- Update to 0.1.3

* Tue Apr 30 2019 Moti Asayag <masayag@redhat.com> 0.1.2-1
- Add rubygem-foreman_kubevirt generated by gem2rpm using the foreman_plugin template
